#include once "window9.bi"

Function load_Icon(ByRef filename As USTRING) As HICON Export
	#ifdef UNICODE
		Return Cast(HICON,LoadImage(0, *filename,IMAGE_ICON,0,0, LR_LOADFROMFILE Or LR_DEFAULTSIZE))
	#else	
		Return Cast(HICON,LoadImage(0,Cast(LPCTSTR,StrPtr(filename)),IMAGE_ICON,0,0, LR_LOADFROMFILE Or LR_DEFAULTSIZE))
	#EndIf  
End Function
